Bug 450029 - Ettercap doesn't run in daemon mode
Ettercap doesn't run in daemon mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ettercap (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 16:39 EDT by Dmitry Burstein
Modified: 2008-06-26 04:32 EDT (History)
0 users

See Also:
Fixed In Version: 0.7.3-26.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 04:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Burstein 2008-06-04 16:39:08 EDT
Description of problem:
Trying to run ettercap in daemon mode results in following error message:

VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV

BUG at [ec_ui.c:ui_register:339]

 ops->input == NULL 

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Version-Release number of selected component (if applicable):
ettercap NG-0.7.3

How reproducible:
run ettercap with -D option

Additional info:
reviewing the code reveals the following: the ui_register routine in the ec_ui.c
file requires ops.input function pointer to be provided for the interface to be
registered. On the other hand, such a function doesn't required (logically) in
the daemon run mode, and therefore doesn't included in the interface definition
in ec_daemon.c file. Hence the error message.
Comment 1 Gwyn Ciesla 2008-06-10 16:23:26 EDT
Build in rawhide appears to fix problem.  Please test.
http://koji.fedoraproject.org/koji/buildinfo?buildID=52281
Comment 2 Dmitry Burstein 2008-06-11 14:58:22 EDT
Thanks for the quick patch: it solved the problem. This bug can be considered to
be resolved.

The resolution of this problem gave me an opportunity to spot another daemon
mode related bug, filed as Bug 450923
Comment 3 Fedora Update System 2008-06-17 09:06:14 EDT
ettercap-0.7.3-26.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-06-17 09:07:32 EDT
ettercap-0.7.3-26.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-06-17 23:13:41 EDT
ettercap-0.7.3-26.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ettercap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5400
Comment 6 Fedora Update System 2008-06-26 04:29:13 EDT
ettercap-0.7.3-26.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-06-26 04:32:59 EDT
ettercap-0.7.3-26.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.